summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authormstachow <>2001-01-03 23:09:09 +0000
committermstachow <>2001-01-03 23:09:09 +0000
commit749f8a64263c7ff9f63a2eeec1699a671b0871a4 (patch)
treeed0d88c5205635e56e6cce56c0ab89e05baf3222 /autogen.sh
parent263a48e45c55666b3df005ded2d29533016ba98c (diff)
downloadintltool-749f8a64263c7ff9f63a2eeec1699a671b0871a4.tar.gz
Initial checkin of xml-i18n system.
* .cvsignore: Files to ignore. * AUTHORS: Add me and Kenny. * COPYING: The GPL * INSTALL: Install instructions * Makefile.am: Makefile. * autogen.sh: the usual. * configure.in: Generate generated files. * xml-i18n-toolize.in: Used to generate xml-i18n-toolize, a program like libtoolize that makes your module use xml-i18n-tools. * xml-i18n-extract.in: Used to generate xml-i18n-extract; based on Kenneth Christiansen's ui-extract.pl. This script knows how to extract translations from -ui.xml, nautilus theme, .glad and .oaf.in files. * xml-i18n-update.in: Used to generate xml-i18n-update. This translation update script is based on based on Kenneth Christiansen's update.pl * xml-i18n-merge.in: Used to generate xml-i18n-merge, an XML translation merge script (only works for .oaf files so far). * xml-i18n-tools.Makefile.patch: Patch for po/Makefile.in.in, automatically applied after xml-18n-toolize * xml-i18n-tools.m4: M4 macro file that defines AM_PROG_XML_I18N_TOOLS
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh69
1 files changed, 69 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..8ecd369
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,69 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+PROJECT=xml-i18n-tools
+TEST_TYPE=-f
+FILE=xml-i18n-toolize.in
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROJECT."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile $PROJECT."
+ echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+ echo "You must run this script in the top-level $PROJECT directory"
+ exit 1
+}
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+case $CC in
+*lcc | *lcc\ *) am_opt=--include-deps;;
+esac
+
+echo "Running gettextize... Ignore non-fatal messages."
+# Hmm, we specify --force here, since otherwise things don't
+# get added reliably, but we don't want to overwrite intl
+# while making dist.
+echo "no" | gettextize --copy --force
+
+aclocal $ACLOCAL_FLAGS
+
+# optionally feature autoheader
+(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
+
+automake -a $am_opt
+autoconf
+
+cd $ORIGDIR
+
+$srcdir/configure --enable-maintainer-mode "$@"
+
+echo
+echo "Now type 'make' to compile $PROJECT."